from django.urls import path

from . import views

urlpatterns = [
    path("event/<int:id_>/edit", views.edit_event, name="edit_event_by_id"),
    path("event/<int:id_>/feedback", views.feedback_event, name="feedback_event_by_id"),
    path("event/<int:id_>/register", views.register_event, name="register_event_by_id"),
    path("events/create", views.edit_event, name="create_event"),
    path("events/manage", views.ManageEvents.as_view(), name="manage_events"),
    path("events/", views.events, name="events"),
    path("vouchers/create", views.edit_voucher, name="create_vouchers"),
    path("vouchers/<int:id_>/delete", views.delete_voucher, name="delete_voucher_by_id"),
    path("vouchers/<int:id_>/edit", views.edit_voucher, name="edit_voucher_by_id"),
    path("vouchers/<int:id_>/print", views.print_voucher, name="print_voucher_by_id"),
    path("vouchers/", views.vouchers, name="vouchers"),
    path("event/lists/generate", views.generate_lists, name="generate_lists"),
    path("event/registrations/list", views.registrations, name="registrations"),
    path("event/registrations/<int:id_>", views.registration, name="registration_by_id"),
    path(
        "event/registrations/<int:id_>/edit",
        views.edit_registration,
        name="edit_registration_by_id",
    ),
    path(
        "event/registrations/<int:id_>/delete",
        views.delete_registration,
        name="delete_registration_by_id",
    ),
    path("event/feedback_aspects/list", views.feedback_aspects, name="feedback_aspects"),
    path(
        "event/feedback_aspects/create",
        views.edit_feedback_aspect,
        name="create_feedback_aspect",
    ),
    path(
        "event/feedback_aspects/<int:id_>/edit",
        views.edit_feedback_aspect,
        name="edit_feedback_aspect_by_id",
    ),
]
